Subject: bug#68558: closed (Re: bug#68558: Build r-randomforestsrc.x86_64-linux on master is broken.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Jan 2024 07:55:02 +0000

Your bug report

#68558: Build r-randomforestsrc.x86_64-linux on master is broken.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68558: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68558
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68558: Build r-randomforestsrc.x86_64-linux on master is broken.
From: Ricardo Wurmus <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Jan 2024 08:53:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

My bad.  I accidentally pushed this update.  On every mass update of
CRAN packages I have to exclude r-sungeo and r-randomforestsrc because
of their unpackageable new dependencies.

I reverted the commit.

-- 
Ricardo

Subject: Re: Build r-randomforestsrc.x86_64-linux on master is broken.
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Wed, 17 Jan 2024 20:07:18 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] (Cuirass) writes:

> <p>The build <b>r-randomforestsrc.x86_64-linux</b> for specification <b>master</b> is broken. You can find the detailed information about this build <a
> href="https://ci.guix.gnu.org/build/3327139/details">here</a>.</p>
>
> https://ci.guix.gnu.org/build/3327139/details

The log has this:

--8<---------------cut here---------------start------------->8---
starting phase `install'
ERROR: dependencies ‘data.tree’, ‘DiagrammeR’ are not available for package ‘randomForestSRC’
* removing ‘/gnu/store/ldlbxnri60qpgj6snd84y03xk99a0f7k-r-randomforestsrc-3.2.3/site-library/randomForestSRC’
error: in phase 'install': uncaught exception:
%exception #<&invoke-error program: "R" arguments: ("CMD" "INSTALL" "--install-tests" "--library=/gnu/store/ldlbxnri60qpgj6snd84y03xk99a0f7k-r-randomforestsrc-3.2.3/site-library/" "--built-timestamp=1970-01-01" ".") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `install' failed after 0.4 seconds
command "R" "CMD" "INSTALL" "--install-tests" "--library=/gnu/store/ldlbxnri60qpgj6snd84y03xk99a0f7k-r-randomforestsrc-3.2.3/site-library/" "--built-timestamp=1970-01-01" "." failed with status 1
builder for `/gnu/store/w1y0nby2r5539mlcg8y5ms0smqkvy7hn-r-randomforestsrc-3.2.3.drv' failed with exit code 1
@ build-failed /gnu/store/w1y0nby2r5539mlcg8y5ms0smqkvy7hn-r-randomforestsrc-3.2.3.drv - 1 builder for `/gnu/store/w1y0nby2r5539mlcg8y5ms0smqkvy7hn-r-randomforestsrc-3.2.3.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim